Srp 15 2008

Lenny bude plně podporovat novější EeePC

Rubrika: Hardware 13:09  

Ben Armstrong informoval o novinkách týkajících se Debian Eee PC týmu. Podle něj bude Lenny připraven pro běh na všech aktuálních modelech Asus Eee. Novější typy pak budou schopny Debian instalovat pomocí ethernetového ovladače atl1e ethernet z eeepc.debian.net, podpora pro bezdrátovou instalaci bude k dispozici později.

K dispozici bude také Debian-installer pro pohodlnou instalaci po bezdrátové síti. V současné době jsou k dispozici dva USB obrazy: jeden s LXDE prostředím a druhý „záchranný“ obsahující jen konzolu pro záchranu či zálohu systému.


Srp 15 2008

GNU/kFreeBSD vydání Lennyho zřejmě nestihne

Rubrika: Projekt, Vývoj 7:34  

Port Debian GNU/kFreeBSD je Debian, který místo linuxového jádra využívá jádro FreeBSD. Vývojáři nyní vydali zprávu o stavu projektu, ve které zmiňují například to, že přestože se dlouhodobě chtějí dostat mezi oficiální vydání, do Lennyho to pravděpodobně nestihnou.

Vydání brání některá kriteria, která port nesplňuje. Aktuálně je distribuce podstavena nad jádrem FreeBSD 7.0 a pro i386 je přeloženo asi 85 % balíčků, přičemž amd64 verze je lehce pozadu. Celých 95 % připravených balíčků je aktuálních.


Srp 14 2008

Balíček MySQL 5.0.67

Rubrika: Balíčky, Software 5:43  

Norbert Tretkowski na svém blogu informoval o vytvoření deb balíčku MySQL verze 5.0.67, což je nejnovější Community Edition vydání. Balíček se už bohužel nedostane do testing repositářů, ale je k dispozici v Norbertově domovském adresáři na serveru. Nový Debian byl totiž už zmrazen a nepřijímá nové verze. Lenny tak bude vydán s MySQL 5.0.51a, pro který budou poskytovány backporty.


Srp 13 2008

Lenny bude mít zřejmě omezenou podporu Xen

Rubrika: Projekt, Software 9:44  

Nedávná diskuse v debian-devel mailing listu odhalila problémy s podporou virtualizačního nástroje Xen v jádrech novějších než 2.6.18. Lenny tak bude pravděpodobně vydán s omezenou podporou Xenu. Pasi Kärkkäinen popsal celou situaci. Problém je v tom, že Citrix (dříve Xensource) podporuje oficiálně jádro 2.6.18 a portace na novější verze probíhají pomalu.

Bastian Blank pak sepsal možnosti, které Debian má. Podle něj by bylo nejrozumnější podporovat v Lennym jádro 2.6.18, dokud se do něj později skrze „Lenny a půl“ nedostane novější jádro s plnohodnotným Xenem. Zatím ale nebylo o řešení definitivně rozhodnuto.


Srp 12 2008

Které populární balíčky nebudou v Lennym?

Rubrika: Balíčky, Projekt 14:37  

Před časem probíhala mezi vývojáři ostrá debata, při které se zvažovalo, co udělat s problémovými balíčky označenými jako RC-buggy. Část vývojářů je pro jejich vyřazení z Lennyho, ostatní protestovali proti vyřazení těchto balíčků, protože jsou mezi nimi i některé velmi populární. Lucas Nussbaum se na svém blogu zamýšlí nad tím, jak jednoduše zjistit, které balíčky v Lennym nakonec chybí. Ke zjištění informací použil projekt Ultimate Debian Database, který dokáže spojit různé informace z projektu Debian do jedné SQL databáze.

Lucas poté vytvořil vlastní SQL dotaz, kterým vyhledal všechny balíky, které jsou v unstable, ale nejsou v testingu. Ty pak setřídil podle ukazatele popularity. Výsledkem tohoto dotazu je seznam více než 1000 balíčků.


Srp 12 2008

V unstable je jádro 2.6.26

Rubrika: Balíčky, Software 9:51  

Do větve unstable se nedávno dostalo jádro 2.6.26, které by mělo být také součástí chystaného Lennyho. Zatím jsou v testingu ale jen jádra 2.6.22 a 25.